Description

Discussion:

Should a verbose message indicate at what level it first appears?

Context:

SetVerbosityLevel(99);  produced a lot more output than I wanted, but I am too

lazy to search through doc (or the source code) to find out what level triggers

the many messages I do not want.  If the message indicated that it appears at or

above level 80 (say), then I can simply try level 79.

2023-03 Also added indentation for depth of call D see below: #1721.7

Related issues:

Related to CoCoA-5 - Feature #1731: Verbosity level in CoCoA5 In Progress 27 Mar 2023

Related to CoCoALib - Design #1768: Limit indentation in verbose mesgs? Closed 19 Nov 2023

History

#1 - 14 Feb 2023 21:20 - John Abbott

Does anyone have any comments?  Better ideas?

#2 - 27 Feb 2023 12:15 - Anna Maria Bigatti

Yes!!!   That's a great idea!

It would be impossibile to keep the documentation up to date... and tedious to read.

#3 - 27 Feb 2023 12:31 - Anna Maria Bigatti

- % Done changed from 0 to 20

Proposed look (invented numbers)  [depth:level] space space

NewOrdvArith(ord)[3:40]  -- called --

MinPolyQuotDef[3:60]  time cycle: --> 7e-05

MinPolyQuotDef[3:50]  Total time --> 5.1e-05

intead of current [depth]: space

NewOrdvArith(ord)[3]: -- called --

MinPolyQuotDef[3]: time cycle: --> 7e-05

MinPolyQuotDef[3]: Total time --> 5.1e-05
#4 - 27 Feb 2023 20:12 - John Abbott

- Status changed from New to In Progress

I wonder whether the format you propose is too terse, but then making it longer perhaps produces too much output?

Not so convinced by the colon... perhaps I just need to get used to it.  [3:40] looks like a time to me!

What about [depth @ level]?  Then it would look like:

NewOrdvArith(ord)[3@40]  -- called --

MinPolyQuotDef[3@60]  time cycle: --> 7e-05

MinPolyQuotDef[3@50]  Total time --> 5.1e-05

 

Mmmm, not sure it is really any better.  Other suggestions?  Possibly  [depth v level]  e.g. [3v40]

Maybe using the "pipe" (vertical bar) symbol:  [3|40]    So it would look like this:

NewOrdvArith(ord)[3|40]  -- called --

MinPolyQuotDef[3|60]  time cycle: --> 7e-05

MinPolyQuotDef[3|50]  Total time --> 5.1e-05

 

Anna  Any chance you could implement this change over the next week (while I'm absent)?

#5 - 14 Mar 2023 22:04 - Anna Maria Bigatti

- % Done changed from 20 to 30

John Abbott wrote:

What about  D depth - L level  e.g. D3-L40

NewOrdvArith(ord) D3-L40  -- called --

MinPolyQuotDef D3-L60  time cycle: --> 7e-05

MinPolyQuotDef D3-L50  Total time --> 5.1e-05

 

Anna  Any chance you could implement this change over the next week (while I'm absent)?
I'll try tomorrow

#6 - 14 Mar 2023 22:51 - John Abbott

I Tjink I might prefer to info to be inside (square?) brackets:

something like this:

NewOrdvArith(ord) [D3-L40]  -- called --

MinPolyQuotDef [D3-L60]  time cycle: --> 7e-05

MinPolyQuotDef [D3-L50]  Total time --> 5.1e-05

 

Or conceivably even like this:

[D3-L40] NewOrdvArith(ord)  -- called --

[D3-L60] MinPolyQuotDef  time cycle: --> 7e-05

[D3-L50] MinPolyQuotDef  Total time --> 5.1e-05

 

Try a few ideas and see what you think is nicest to read.

#7 - 15 Mar 2023 08:03 - Anna Maria Bigatti

- Status changed from In Progress to Feedback

- Assignee set to Anna Maria Bigatti

- % Done changed from 30 to 90

You insipired me: I chose this look because this is how I've always desired the indentation for depth!

Reference: file verbose.C, function VerboseLog::operator()(long level)

/**/ SetVerbosityLevel(95);

/**/ use R ::= QQ[x,y,z];

/**/ I := ideal(x^2-1, y^2-2, z^3);

/**/ IsRadical(I);

[D1,L20,myTestIsRadical_0dim] trying z

 [D2,L80,MinPolyModular] 1: prime is 1073741831

  [D3,L90,MinPolyQuotDef] time cycle: --> 7.4e-05
  [D3,L90,MinPolyQuotDef] Total time --> 5.7e-05

  time: p*f --> 6e-06

  time: NF --> 2.2e-05

  time: coefficients --> 1.1e-05

  time: LinDepMill --> 1.8e-05

Post-cycle --> 1.6e-05

 [D2,L80,MinPolyModular] 2: prime is 1073741833

  [D3,L90,MinPolyQuotDef] time cycle: --> 7e-05

  [D3,L90,MinPolyQuotDef] Total time --> 5.2e-05

  time: p*f --> 8e-06

  time: NF --> 2.1e-05

  time: coefficients --> 8e-06

  time: LinDepMill --> 1.5e-05

Post-cycle --> 1.5e-05

 [D2,L90,MinPolyModular] Reconstruction time: 3.8e-05

 [D2,L90,MinPolyModular] Verification-QQ time:7.7e-05

false

#8 - 26 Mar 2023 14:56 - John Abbott

That looks nice!  I have increased to two 2 spaces after the close square bracket.

#9 - 27 Mar 2023 19:41 - Anna Maria Bigatti

- Related to Feature #1731: Verbosity level in CoCoA5 added

#10 - 12 Apr 2023 14:53 - Anna Maria Bigatti

- Description updated

#11 - 12 Apr 2023 14:53 - Anna Maria Bigatti

- Description updated

#12 - 12 Apr 2023 14:54 - Anna Maria Bigatti

- Description updated

#13 - 12 Apr 2023 14:56 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

#14 - 19 Nov 2023 19:34 - John Abbott

- Related to Design #1768: Limit indentation in verbose mesgs? added
